import * as ambassadorWixDataV2BackupTypes from './data-v2-backup-backups.types.js';
import * as ambassadorWixDataV2BackupUniversalTypes from './data-v2-backup-backups.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createBackup(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixDataV2BackupUniversalTypes.CreateBackupRequest, ambassadorWixDataV2BackupTypes.CreateBackupRequest, ambassadorWixDataV2BackupUniversalTypes.CreateBackupResponse & ambassadorWixDataV2BackupUniversalTypes.CreateBackupResponseNonNullableFields, ambassadorWixDataV2BackupTypes.CreateBackupResponse & ambassadorWixDataV2BackupTypes.CreateBackupResponseNonNullableFields>;
export declare function listBackups(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixDataV2BackupUniversalTypes.ListBackupsRequest, ambassadorWixDataV2BackupTypes.ListBackupsRequest, ambassadorWixDataV2BackupUniversalTypes.ListBackupsResponse & ambassadorWixDataV2BackupUniversalTypes.ListBackupsResponseNonNullableFields, ambassadorWixDataV2BackupTypes.ListBackupsResponse & ambassadorWixDataV2BackupTypes.ListBackupsResponseNonNullableFields>;
export declare function restoreBackup(): __PublicMethodMetaInfo<'POST', {
    backupId: string;
}, ambassadorWixDataV2BackupUniversalTypes.RestoreBackupRequest, ambassadorWixDataV2BackupTypes.RestoreBackupRequest, ambassadorWixDataV2BackupUniversalTypes.RestoreBackupResponse & ambassadorWixDataV2BackupUniversalTypes.RestoreBackupResponseNonNullableFields, ambassadorWixDataV2BackupTypes.RestoreBackupResponse & ambassadorWixDataV2BackupTypes.RestoreBackupResponseNonNullableFields>;
export declare function restorePartialBackup(): __PublicMethodMetaInfo<'POST', {
    backupId: string;
}, ambassadorWixDataV2BackupUniversalTypes.RestorePartialBackupRequest, ambassadorWixDataV2BackupTypes.RestorePartialBackupRequest, ambassadorWixDataV2BackupUniversalTypes.RestoreBackupResponse & ambassadorWixDataV2BackupUniversalTypes.RestoreBackupResponseNonNullableFields, ambassadorWixDataV2BackupTypes.RestoreBackupResponse & ambassadorWixDataV2BackupTypes.RestoreBackupResponseNonNullableFields>;
export declare function listRestorations(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixDataV2BackupUniversalTypes.ListRestorationsRequest, ambassadorWixDataV2BackupTypes.ListRestorationsRequest, ambassadorWixDataV2BackupUniversalTypes.ListRestorationsResponse & ambassadorWixDataV2BackupUniversalTypes.ListRestorationsResponseNonNullableFields, ambassadorWixDataV2BackupTypes.ListRestorationsResponse & ambassadorWixDataV2BackupTypes.ListRestorationsResponseNonNullableFields>;
export declare function deleteBackup(): __PublicMethodMetaInfo<'DELETE', {
    backupId: string;
}, ambassadorWixDataV2BackupUniversalTypes.DeleteBackupRequest, ambassadorWixDataV2BackupTypes.DeleteBackupRequest, ambassadorWixDataV2BackupUniversalTypes.DeleteBackupResponse, ambassadorWixDataV2BackupTypes.DeleteBackupResponse>;
