"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.RestorationStatus = exports.Type = exports.Status = exports.onBackupRestorationStateChanged = exports.onBackupDeleted = exports.onBackupStateChanged = exports.deleteBackup = exports.listRestorations = exports.restorePartialBackup = exports.restoreBackup = exports.listBackups = exports.createBackup = void 0;
const data_v2_backup_backups_public_js_1 = require("./data-v2-backup-backups.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const data_v2_backup_backups_public_js_2 = require("./data-v2-backup-backups.public.js");
const data_v2_backup_backups_public_js_3 = require("./data-v2-backup-backups.public.js");
const data_v2_backup_backups_public_js_4 = require("./data-v2-backup-backups.public.js");
exports.createBackup = (0, rest_modules_1.createRESTModule)(data_v2_backup_backups_public_js_1.createBackup);
exports.listBackups = (0, rest_modules_1.createRESTModule)(data_v2_backup_backups_public_js_1.listBackups);
exports.restoreBackup = (0, rest_modules_1.createRESTModule)(data_v2_backup_backups_public_js_1.restoreBackup);
exports.restorePartialBackup = (0, rest_modules_1.createRESTModule)(data_v2_backup_backups_public_js_1.restorePartialBackup);
exports.listRestorations = (0, rest_modules_1.createRESTModule)(data_v2_backup_backups_public_js_1.listRestorations);
exports.deleteBackup = (0, rest_modules_1.createRESTModule)(data_v2_backup_backups_public_js_1.deleteBackup);
/**
 * Triggered when a backup's status is changed. This includes when a backup is created and its status is set to `PENDING`.
 */
exports.onBackupStateChanged = (0, event_definition_modules_1.createEventModule)(data_v2_backup_backups_public_js_2.onBackupStateChanged);
/** */
exports.onBackupDeleted = (0, event_definition_modules_1.createEventModule)(data_v2_backup_backups_public_js_3.onBackupDeleted);
/**
 * Triggered when a restoration's status is changed. This includes when a new restoration is initiated and its status is `PENDING`.
 */
exports.onBackupRestorationStateChanged = (0, event_definition_modules_1.createEventModule)(data_v2_backup_backups_public_js_4.onBackupRestorationStateChanged);
var data_v2_backup_backups_universal_js_1 = require("./data-v2-backup-backups.universal.js");
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return data_v2_backup_backups_universal_js_1.Status; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return data_v2_backup_backups_universal_js_1.Type; } });
Object.defineProperty(exports, "RestorationStatus", { enumerable: true, get: function () { return data_v2_backup_backups_universal_js_1.RestorationStatus; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return data_v2_backup_backups_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=data-v2-backup-backups.context.js.map